﻿using System.Collections.Immutable;
using Connected.Annotations;
using Connected.ServiceModel;
using Connected.ServiceModel.Search;

namespace Connected.Common.Notes;

[Service]
[ServiceUrl(NoteUrls.Notes)]
public interface INoteService
{
	Task<ImmutableList<INote>> Query(NoteArgs args);
	Task<INote?> Select(PrimaryKeyArgs<long> args);

	Task<long> Insert(InsertNoteArgs args);
	Task Update(UpdateNoteArgs args);
	Task Delete(PrimaryKeyArgs<long> args);

	Task<ImmutableList<INoteText>> QueryText(QueryNoteTextArgs args);
	[ServiceMethod(ServiceMethodVerbs.Get)]
	Task<INoteText?> SelectText(SelectNoteTextArgs args);

	Task<ImmutableList<INoteSearch>> Search(SearchArgs args);
}
