﻿using Connected.Annotations;
using Connected.Entities.Annotations;
using Connected.Entities.Containers;

namespace Connected.Common.Notes;

[Table(Schema = Constants.CommonSchema)]
public sealed record Note : ContainerEntity<long>, INote
{
	public const string EntityKey = $"{Constants.CommonSchema}.{nameof(Note)}";

	[Ordinal(0)]
	public int Author { get; init; }

	[Ordinal(1)]
	public DateTimeOffset Created { get; init; }
}
