﻿using Connected.Annotations;
using Connected.Entities.Annotations;
using Connected.Entities.Containers;

namespace Connected.Common.Notes;
[Persistence(Persistence = ColumnPersistence.InMemory)]
public record NoteSearch : ContainerEntity<long>, INoteSearch
{
	[Ordinal(0)]
	public int Author { get; init; }

	[Ordinal(1), Length(Units.MB)]
	public string Text { get; init; } = default!;

	[Ordinal(2)]
	public DateTimeOffset Created { get; init; }
}
