﻿using System.ComponentModel.DataAnnotations;
using Connected.Annotations;
using Connected.Entities.Annotations;
using Connected.ServiceModel.Annotations;
using Connected.ServiceModel.Data;

namespace Connected.Common.Notes;
public sealed record NoteText : TableEntity<long, string>, INoteText
{
	public const string EntityKey = $"{Constants.CommonSchema}.{nameof(NoteText)}";

	[Ordinal(-50000), PartitionKey, MaxLength(128)]
	public string Entity { get; init; } = default!;

	[Ordinal(-49000), PrimaryKey, MaxLength(128)]
	public string EntityId { get; init; } = default!;

	[Ordinal(0), Length(Units.MB), Nullable]
	public string? Text { get; init; }
}
