﻿namespace Connected.Common.Numbering;
/// <summary>
/// Provides middleware for providing a numbering algorithm.
/// </summary>
public interface INumberingProvider : IMiddleware
{
	/// <summary>
	/// Creates a new value based on the specified arguments.
	/// </summary>
	/// <param name="args">The arguments providing information about the entity for which
	/// value need to be provided.</param>
	/// <returns>A new value if the numbering is supported by the middleware, <c>null</c> otherwise.</returns>
	Task<string> Invoke(NumberingCalculateArgs args);
}
