﻿using System.ComponentModel.DataAnnotations;
using Connected.Annotations;
using Connected.Entities.Annotations;
using Connected.Entities.Consistency;

namespace Connected.Common.Numbering;
[Table(Schema = CommonSchemas.CommonSchema)]
internal sealed record Numbering : ConsistentEntity<int>, INumbering
{
	[Ordinal(0), MaxLength(128), Index(Name = $"ui_{CommonSchemas.CommonSchema}_numbering_entity")]
	public string Entity { get; init; } = default!;

	[Ordinal(1), MaxLength(128)]
	public string Value { get; init; } = default!;
}
