﻿using Connected.ServiceModel;
using Connected.Services;
using Ops = Connected.Common.Numbering.NumberingOps;

namespace Connected.Common.Numbering;
internal sealed class NumberingService : Service, INumberingService
{
	public NumberingService(IContext context) : base(context)
	{
	}

	public async Task<string> Calculate(NumberingCalculateArgs args)
	{
		return await Invoke(GetOperation<Ops.Calculate>(), args);
	}

	public async Task<INumbering?> Select(NumberingSelectArgs args)
	{
		return await Invoke(GetOperation<Ops.SelectByEntity>(), args);
	}

	public async Task<INumbering?> Select(PrimaryKeyArgs<int> args)
	{
		return await Invoke(GetOperation<Ops.Select>(), args);
	}

	internal async Task<string> NextValue(NumberingCalculateArgs args)
	{
		return await Invoke(GetOperation<Ops.NextValue>(), args);
	}
}
