﻿using Connected.Entities.Caching;

namespace Connected.Common.Collections;

internal interface IQueueCache : IEntityCacheClient<QueueMessage, long>
{
	void Update(QueueMessage message);
}
internal class QueueCache : EntityCacheClient<QueueMessage, long>, IQueueCache
{
	public QueueCache(IEntityCacheContext context) : base(context, QueueMessage.CacheKey)
	{
	}

	public void Update(QueueMessage message)
	{
		Set(message.Id, message, TimeSpan.Zero);
	}
}
