﻿using Connected.Annotations;
using Connected.Data;
using Connected.Entities.Annotations;
using Connected.Entities.Consistency;
using Connected.Globalization.Languages;

namespace Connected.Common.Globalization;

/// <summary>
/// The implementation of the <see cref="ILanguage"/> entity.
/// </summary>
[Table(Schema = SchemaAttribute.SysSchema)]
internal record Language : ConsistentEntity<int>, ILanguage
{
	public const string CacheKey = $"{SchemaAttribute.SysSchema}.{nameof(Language)}";

	[Length(128)]
	[Ordinal(0)]
	public string? Name { get; init; }

	[Ordinal(1)]
	public int Lcid { get; init; }

	[Default(Status.Enabled)]
	[Ordinal(2)]
	public Status Status { get; init; }

	[Length(128)]
	[Ordinal(3)]
	public string? Mappings { get; init; }
}
