﻿using Connected.Annotations;
using Connected.Data;
using Connected.Entities.Annotations;
using Connected.Entities.Consistency;
using Connected.Net.Endpoints;

namespace Connected.Common.Net;

[Table(Schema = SchemaAttribute.DefaultSchema)]
internal record Endpoint : ConsistentEntity<int>, IEndpoint
{
	public const string CacheKey = $"{SchemaAttribute.SysSchema}.{nameof(Endpoint)}";

	[Ordinal(0)]
	[Length(128)]
	public string? Name { get; init; }

	[Length(128)]
	[Ordinal(1)]
	public string? Address { get; init; }

	[Default(Status.Enabled)]
	[Ordinal(2)]
	[Length(128)]
	public string? AuthenticationToken { get; init; }

	[Ordinal(3)]
	public Status Status { get; init; }
}
