﻿using Connected.Annotations;
using Connected.Entities.Annotations;
using Connected.Entities.Consistency;
using Connected.Security.Identity;

namespace Connected.Common.Security.Identity;

[Table(Schema = SchemaAttribute.SysSchema)]
internal record Role : ConsistentEntity<int>, IRole
{
	public const string CacheKey = $"{SchemaAttribute.SysSchema}.{nameof(Role)}";

	[Length(128)]
	[Ordinal(0)]
	public string? Name { get; init; }
}
